Package be.fgov.ehealth.dics.protocol.v4

# Class ConsultRealVirtualIngredientType

java.lang.Object
be.fgov.ehealth.dics.core.v4.virtual.common.RealVirtualIngredientKeyType
be.fgov.ehealth.dics.protocol.v4.ConsultRealVirtualIngredientType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class ConsultRealVirtualIngredientType extends RealVirtualIngredientKeyType implements Serializable

Java class for ConsultRealVirtualIngredientType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultRealVirtualIngredientType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v4:virtual:common}RealVirtualIngredientKeyType">
           <sequence>
             <element name="Type" type="{urn:be:fgov:ehealth:dics:core:v4:core}IngredientTypeType"/>
             <element name="Strength" type="{urn:be:fgov:ehealth:dics:core:v4:core}StrengthRangeType" minOccurs="0"/>
             <element name="Substance" type="{urn:be:fgov:ehealth:dics:protocol:v4}SubstanceWithStandardsType"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v4}validityPeriod"/>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultRealVirtualIngredientType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `StrengthRangeType`
  `getStrength()`
  Strength of the specified substance.
  `SubstanceWithStandardsType`
  `getSubstance()`
  Gets the value of the substance property.
  `String`
  `getType()`
  Type of use for the specified substance (given by the link to the reference entity Substance).
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.
  `void`
  `setStrength(StrengthRangeType value)`
  Sets the value of the strength property.
  `void`
  `setSubstance(SubstanceWithStandardsType value)`
  Sets the value of the substance property.
  `void`
  `setType(String value)`
  Sets the value of the type property.

  ### Methods inherited from class be.fgov.ehealth.dics.core.v4.virtual.common.RealVirtualIngredientKeyType

  `getSequenceNr, setSequenceNr`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultRealVirtualIngredientType

    public ConsultRealVirtualIngredientType()

- ## Method Details

  - ### getType

    public String getType()
    Type of use for the specified substance (given by the link to the reference entity Substance). Possible values : - ACTIVE_SUBSTANCE: the substance participates in the medicinal product effect ; - EXCIPIENT: not active substance used to make the medicinal product more attractive.
    Returns:
      possible object is `String`

  - ### setType

    public void setType(String value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getType()`

  - ### getStrength

    public StrengthRangeType getStrength()
    Strength of the specified substance. Some substance quantities cannot be specified exactly, so a range is provided. If an exact quantity is known, minimum and maximum will have the same value.
    Returns:
      possible object is `StrengthRangeType`

  - ### setStrength

    public void setStrength(StrengthRangeType value)
    Sets the value of the strength property.
    Parameters:
      `value` - allowed object is `StrengthRangeType`
    See Also:
      - `getStrength()`

  - ### getSubstance

    public SubstanceWithStandardsType getSubstance()
    Gets the value of the substance property.
    Returns:
      possible object is `SubstanceWithStandardsType`

  - ### setSubstance

    public void setSubstance(SubstanceWithStandardsType value)
    Sets the value of the substance property.
    Parameters:
      `value` - allowed object is `SubstanceWithStandardsType`

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`